=== debian/changelog ===
nwchem (6.0-2) unstable; urgency=low

  * debian/control (Description): Overhaul, specifying the various NWChem
    features.
  * debian/nwchem.links: Renamed to...
  * debian/nwchem-data.links: ... this.
  * debian/nwchem-data.links: Added a symlink for the pseudo-potential
    library.
  * debian/nwchem-data.dirs: New file. 
  * debian/testsuite: Add some more tests.
  * debian/control (Build-Depends): Added mpi-default-dev. 
  * debian/rules (USE_MPI, USE_MPIF, LIBMPI, MPI_LIB, MPI_INCLUDE): New
    variables.
  * debian/rules (CCSDTQ): New variable, gets set if DEB_BUILD_OPTIONS
    includes "ccsdtq".
  * debian/rules (override_dh_auto_build): Do not touch stamp file. 
  * debian/nwchem.install: Do not ship the programmer's manual for now. 
  * debian/rules (override_dh_auto_test): Do not abort build on testsuite
    failures. 
  * debian/control (Build-Depends): Added libblas-dev, liblapack-dev,
    libscalapack-mpi-dev and libblacs-mpi-dev,. 
  * debian/rules (HAS_BLAS, BLASOPT, USE_SCALAPACK, SCALAPACK, BLACS): New
    variables.
  * debian/patches/02_makefile_flags.patch: New patch, force gfortran defaults
    to all applicable architectures.
  * debian/control (Build-Depends): Added mpi-default-bin.
  * debian/control (nwchem/Depends): Added mpi-default-bin.
  * debian/rules (override_dh_clean): Remove src/tools/lib and QA/scratchdir
    directories as well.
  * debian/rules: Include /usr/share/mpi-default-dev/debian_defaults.
  * debian/rules (SCALAPACK, BLACS): Use $(ARCH_DEFAULT_MPI_IMPL) variable to
    specify library names.

 -- Michael Banck <mbanck@debian.org>  Wed, 28 Sep 2011 00:28:20 +0200

nwchem (6.0-1) unstable; urgency=low

  * Initial upload (Closes: #598728).

 -- Michael Banck <mbanck@debian.org>  Mon, 25 Apr 2011 10:15:12 +0200
