=== debian/control ===
Source: nwchem
Section: science
Priority: optional
Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
Uploaders: Michael Banck <mbanck@debian.org>
Build-Depends: debhelper (>= 7.0.50~), mpi-default-dev, mpi-default-bin, gfortran, libblas-dev, liblapack-dev, libscalapack-mpi-dev, libblacs-mpi-dev, csh, texlive-latex-base
Standards-Version: 3.9.1
Homepage: http://www.nwchem-sw.org
#Vcs-Git: git://git.debian.org/collab-maint/nwchem.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/nwchem.git;a=summary

Package: nwchem
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nwchem-data (= ${source:Version}), mpi-default-bin
Description: High-performance computational chemistry software
 NWChem aims to provide its users with computational chemistry tools that are
 scalable both in their ability to treat large scientific computational
 chemistry problems efficiently, and in their use of available parallel
 computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.  
 .
 NWChem software can handle:
 .
  * Biomolecules, nanostructures, and solid-state 
  * From quantum to classical, and all combinations
  * Gaussian basis functions or plane-waves
  * Scaling from one to thousands of processors
  * Properties and relativity
 .
 Feautures include:
  * Electronic structure methods:
   - Restricted/unrestricted or restricted open-shell Hartree-Fock (RHF, UHF,
     ROHF), including analytical gradients
   - Density Functional Theory (DFT) using many local, non-local (gradient-
     corrected) or hybrid (local, non-local, and HF) exchange-correlation
     potentials, including analytical gradients
   - Second-order Moeller-Plesset pertubation theory (MP2), including
     analytical gradients and resolution of the identity integral approximation
     MP2 (RI-MP2), using RHF and UHF reference
   - Complete active space SCF (CASSCF), including analytical gradients
   - Coupled cluster singles and doubles, triples or pertubative triples and
     quadruples (CCSD, CCSDT, CCSD(T), CCSDTQ), with RHF reference, including
     analyical gradients for closed-shell CCSD 
   - Unrestricted configuration interaction theory (CISD, CISDT, and CISDTQ)
   - Unrestricted iterative many-body perturbation theory (MBPT(2), MBPT(3),
     MBPT(4))
   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSDTQ and
     Configuration-Interaction singles (CIS), time-dependent HF (TDHF), TDDFT,
     for excited states with RHF, UHF, RDFT, or UDFT reference
   - Ground- and excited states in the iterative second-order model CC2
   - Geometry optimization including transition state searches, contstraints
     and minimum energy paths, as well as vibrational frequencies
   - Hybrid calculations using the two- and three-layer ONIOM method
   - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
     ROHF and DFT
   - Relativistic effects via spin-free and spin-orbit one-electron
     Douglas-Kroll and zeroth-order regular approximations (ZORA) and
     one-electron spin-orbit effects for DFT via spin-orbit potentials
  * Pseudopotential plane-wave electronic structure calculations:
   - Conjugate gradient and limited memory BFGS minimization
   - Car-Parrinello (extended Lagrangian dynamics)
   - Constant energy and constant temperature Car-Parrinello simulations
   - Fixed atoms in cartesian and SHAKE constraints in Car-Parrinello
   - Pseudopotential libraries
   - Vosko and PBE96 exchange-correlation potentials (spin-restricted and
     unrestricted)
   - Hamann and Troullier-Martins norm-conserving pseudopotentials with
     optional semicore corrections
   - Automated wavefunction initial guess, now with LCAO
   - Orthorhombic simulation cells with periodic and free space boundary
     conditions.
   - Modules to convert between small and large plane-wave expansions
   - Interface to DRIVER, STEPPER, and VIB modules
   - Polarization through the use of point charges
   - Mulliken, point charge, DPLOT (wavefunction, density and electrostatic
     potential plotting) analysis
  * Classical molecular dynamics:
   - Single configuration energy evaluation, energy minimization and molecular
     dynamics simulation
   - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
     multiconfiguration thermodynamic integration (MCTI) methods with options of
     single and/or dual topologies, double wide sampling, and separation-
     shifted scaling)
   - Force fields including effective pair potentials (AMBER, GROMOS, CHARMM),
     first order polarization, self consistent polarization, smooth particle
     mesh Ewald (SPME), periodic boundary conditions and SHAKE constraints
  * Mixed quantum-classical:
   - Mixed quantum-mechanics and molecular-mechanics (QM/MM) minimizations and
     molecular dynamics simulations 
   - Quantum molecular dynamics simulation by using any of the quantum
     mechanical methods capable of returning gradients.
   
Package: nwchem-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: High-performance computational chemistry software
 NWChem aims to provide its users with computational chemistry tools that are
 scalable both in their ability to treat large scientific computational
 chemistry problems efficiently, and in their use of available parallel
 computing resources from high-performance parallel supercomputers to
 conventional workstation clusters.  
 .
 This package contains the basis sets, pseudo-potentials and AMBER/CHARMM 
 parameter files.
