=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

DEB_HOST_ARCH_BITS := $(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)

include /usr/share/mpi-default-dev/debian_defaults

ifeq ($(DEB_HOST_ARCH_BITS),64)
export NWCHEM_TARGET=LINUX64
else
export NWCHEM_TARGET=LINUX
endif
export NWCHEM_TOP=$(CURDIR)
export NWCHEM_MODULES=all
export NWCHEM_EXECUTABLE=${NWCHEM_TOP}/bin/${NWCHEM_TARGET}/nwchem
export NWCHEM_BASIS_LIBRARY=${NWCHEM_TOP}/src/basis/libraries/
export LARGE_FILES=TRUE
export FC=gfortran
export USE_MPI="y"
export USE_MPIF="y"
export LIBMPI=-lmpi
export MPI_LIB=/usr/lib
export MPI_INCLUDE=/usr/include/mpi
ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
export CCSDTQ="yes"
endif
export HAS_BLAS="yes"
export BLASOPT=-lblas -llapack
export USE_SCALAPACK="yes"
export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
export BLACS=-lblacs-$(ARCH_DEFAULT_MPI_IMPL) -lblacsCinit-$(ARCH_DEFAULT_MPI_IMPL)

%:
	dh $@ 

override_dh_auto_build:
	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
	(cd $(CURDIR)/doc && make pdf)
	(cd $(CURDIR)/src && make nwchem_config)
	(cd $(CURDIR)/src/util && make version)
	(cd $(CURDIR)/src && make)
	(cd $(CURDIR)/src/util && make)
	(cd $(CURDIR)/src && make link)

override_dh_auto_clean:
	dh_testdir
	(cd $(CURDIR)/src && make realclean)
	(cd $(CURDIR)/doc && make realclean)
	rm -rf $(CURDIR)/bin $(CURDIR)/lib $(CURDIR)/src/tools/lib 
	rm -rf $(CURDIR)/QA/scratchdir $(CURDIR)/QA/testoutputs
	rm -f src/util/util_version.F src/stubs.F
	dh_auto_clean

export RUNTESTS=$(CURDIR)/QA/runtests.unix 

override_dh_auto_test:
	dh_testdir
	-(cd $(CURDIR)/QA && ../debian/testsuite)
