## nwchem 6.1

=== contrib/mov2asc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for movecs <--> ASCII translators
-# $Id: Makefile,v 1.8 2006-03-17 23:02:59 edo Exp $
+# $Id: Makefile 21752 2012-01-11 22:23:19Z d3y133 $
 
 # Tested on KSR, Cray-T3D
 # Requires NWCHEM_TARGET to be set.
@@ -35,14 +35,14 @@
 endif
 
 ifeq ($(NWCHEM_TARGET),IBM)
-   CPPFLAGS = -WF,"-I../../src/tools/include"		# Needs MA includes
+   CPPFLAGS = -WF,"-I../../src/tools/install/include"		# Needs MA includes
 else
-   CPPFLAGS = -I../../src/tools/include			# Needs MA includes
+   CPPFLAGS = -I../../src/tools/install/include			# Needs MA includes
 endif
-LDFLAGS = -L../../src/tools/lib/${NWCHEM_TARGET} -lma -larmci	# Needs MA library
+LDFLAGS = -L../../src/tools/install/lib -lga -larmci	# Needs MA library
 ifeq ($(USE_MPI),y)
-LDFLAGS += -L${MPI_LIB} ${LIBMPI}
 LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
+LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB} ${LIBMPI} ${IB_LIB})
 endif
 
 all:    mov2asc asc2mov
