=== debian/changelog ===
nwchem (6.1-6) unstable; urgency=low

  * debian/patches/02_makefile_flags.patch: Add GCC46 to defines (Closes:
    #696349).

 -- Michael Banck <mbanck@debian.org>  Tue, 25 Dec 2012 22:07:17 +0100

nwchem (6.1-5) unstable; urgency=low

  * Reverted subversion revisions 3824, 3834 and 3876. 

 -- Michael Banck <mbanck@debian.org>  Fri, 14 Dec 2012 14:44:22 +0100

nwchem (6.1-4) unstable; urgency=low

  [ Michael Banck ]
  * debian/patches/09_backported_6.1.1_fixes.patch: New patch, backports the
    source code changes of the nwchem-6.1.1 bugfix release (Closes: #695540):
    + PW: Fixed backspace issues on file I/O that caused I/O errors.
    + DFT: Removed dummy and bq centers from the Grimme dispersion
      corrections.
    + DFT: Fixed a race condition in the density fitting code.
    + DFT: Added a check for singularities in the HCTH functionals.
    + DFT: Fixed a problem with the DFT grids which caused strange behaviors
      if the number of cores is so large that some cores do not get any grid
      points.
    + HF&DFT: Fixed rolling back to distributed memory Fock-builder if not
      enough memory is available to use the replicated data one. Previously
      the code would crash trying to use non-existing GAs.
    + HF&DFT: Fixed clashes between MPI and GA communication when using OpenIB
      which enhances the stability.
    + MP2&DFT: On systems with limited I/O capabilities some quantities like
      2-electron integrals and DFT grids are now stored in memory rather than
      on disk.
    + CASSCF: Added ga_sync to fix race conditions that can cause the Davidson
      diagonalizer to fail.
    + CASSCF: Fixed a problem with the phase in the Lagrangian that caused
      problems with the gradient evaluation.
    + RAMAN: A number of problems with static polarizabilities were fixed.
    + Property: Fixed an issue with add_patch that caused unexpected results
      with dynamic polarizabilities.
    + DRDY: Removed system calls to copy files avoiding forking from NWChem
      processes which is relatively likely to fail due to the resources
      attached to such a process.
    + Input: Fixed some issues with GEOM LOAD that caused the selection of
      centers to fail in some cases.
    + Geometry: Dummy centers are no longer removed from a geometry so that
      constraints involving those centers remain valid.
    + Memory: All shared memory (global memory region) is now allocated at the
      start.

  [ Daniel Leidert ]
  * debian/control: Added X-Python-Version.
    (Build-Depends): Added python-dev. Use texlive to fix manual build.
    (Standards-Version): Bumped to recent 3.9.3.
  * debian/nwchem.1: Added.
  * debian/nwchem.doc-base: Ditto.
  * debian/nwchem.lintian-overrides: Ditto.
  * debian/nwchem.manpages: Ditto.
  * debian/nwchem-data.lintian-overrides: Ditto.
  * debian/rules: Added PYTHONVERSION, PYTHONHOME. Enable parallel building.
    (NWCHEM_MODULES): Build with python support (pnnl).
  * debian/patches/02_makefile_flags.patch: Adjusted.
    - src/config/makefile.h: Fix linker flags building with python support.

 -- Michael Banck <mbanck@debian.org>  Thu, 13 Sep 2012 14:35:37 +0200

nwchem (6.1-3) unstable; urgency=low

  * debian/testsuite: Removed cosmo_trichloroethene, as it takes much longer
    than the others tests and does not provide any obvious additional coverage
    compared to cosmo_h2o.
  * debian/control (Description): Overhauled.
  * debian/control (Build-Depends): Switch from texlive-latex-base to
    texlive-latex-recommended (Closes: #666315).

 -- Michael Banck <mbanck@debian.org>  Sat, 31 Mar 2012 12:04:19 +0200

nwchem (6.1-2) unstable; urgency=low

  * debian/patches/05_avoid_inline_assembler.patch: New patch, avoids the
    inlining of assembler on architectures other than i386 and amd64.
  * debian/patches/02_makefile_flags.patch: Updated to also set peigs/DEFS to
    useful values, avoids unconditional use of ifort as fortran compiler on
    ia64. 
  * debian/patches/06_statfs_kfreebsd.patch: New patch, fixes header files for
    statfs definitions on kfreebsd-*.
  * debian/patches/07_ga_target_force_linux.patch: New patch, forces the
    Global Arrays TARGET variable to LINUX on s390*. 
  * debian/patches/08_lapack_constants_headers.patch: New patch, fixes
    platform definitions so that the lapack symbols get defined.

 -- Michael Banck <mbanck@debian.org>  Sat, 11 Feb 2012 19:38:26 +0100

nwchem (6.1-1) unstable; urgency=low

  * New upstream release.

  [ Michael Banck ]
  * debian/patches/02_makefile_flags.patch: Updated.
  * debian/patches/02_makefile_flags.patch: Use internal blas and lapack code.
  * debian/patches/02_makefile_flags.patch: Define GCC4 for LINUX and LINUX64
    (Closes: #632611 and LP: #791308).
  * debian/control (Build-Depends): Added openssh-client.
  * debian/rules (USE_SCALAPACK, SCALAPACK): Removed variables (Closes:
    #654658).
  * debian/rules (LIBDIR, USE_MPIF4, ARMCI_NETWORK): New variables.
  * debian/TODO: New file.
  * debian/control (Build-Depends): Removed libblas-dev, liblapack-dev and
    libscalapack-mpi-dev.
  * debian/patches/04_show_testsuite_diff_output.patch: New patch, shows the
    diff output for failed tests.
  * debian/patches/series: Adjusted.
  * debian/testsuite: Optionally run all tests if "all" is passed as option.
  * debian/rules: Run debian/testsuite with "all" if DEB_BUILD_OPTIONS
    contains "checkall".

  [ Daniel Leidert ]
  * debian/control: Used wrap-and-sort. Added Vcs-Svn and Vcs-Browser fields.
    (Priority): Moved to extra according to policy section 2.5.
    (Standards-Version): Bumped to 3.9.2.
    (Description): Fixed a typo.
  * debian/watch: Added.
  * debian/patches/03_hurd-i386_define_path_max.patch: Added.
    - Define MAX_PATH if not defines to fix FTBFS on hurd.
  * debian/patches/series: Adjusted.

 -- Michael Banck <mbanck@debian.org>  Thu, 09 Feb 2012 20:02:41 +0100
