=== debian/watch ===
version=3
http://www.nwchem-sw.org/index.php/Download /images/Nwchem-([\d.]+)\.tar\.gz
