## nwchem 6.3

=== debian/changelog ===
nwchem (6.3-3) unstable; urgency=low

  * debian/patches/02_makefile_flags.patch: Remove most warnings from C/Fortran
    flags in order to reduce the build log size.
  * debian/patches/10_force_gcc-4.7.patch: Adjusted.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jul 2013 17:28:04 +0200

nwchem (6.3-2) unstable; urgency=low

  [ Michael Banck ]
  * debian/control (Description): Updated.
  * debian/patches/09_backported_6.1.1_fixes.patch: Removed, no longer needed.
  * debian/patches/11_fix_armci_locks.patch: New patch, defines SPINLOCK as
    locking strategy, fixes build failures on arm*, mips* and s390*.
  * debian/patches/12_pythonlib_multiarch_path.patch: New patch, adjusts the
    python library path to account for multiarch.
  * debian/patches/02_makefile_flags.patch: Do not set -m64 for 64bit targets,
    and harmonize C/Fortran options.  Refresh patch 10_force_gcc-4.7.patch
    accordingly.
  * debian/patches/02_makefile_flags.patch: Added -lz to libraries required for
    linking libpython.
  * debian/testsuite: Added test for python interface.
  * debian/control (Build-Depends): Added zlib1g-dev.
  * debian/rules (override_dh_auto_build): Do not make version.

  [ Daniel Leidert ]
  * debian/control: Added X-Python-Version.
    (Build-Depends): Added python-dev. Use texlive to fix manual build.
    (Standards-Version): Bumped to recent 3.9.3.
  * debian/nwchem.1: Added.
  * debian/nwchem.doc-base: Ditto.
  * debian/nwchem.lintian-overrides: Ditto.
  * debian/nwchem.manpages: Ditto.
  * debian/nwchem-data.lintian-overrides: Ditto.
  * debian/rules: Added PYTHONVERSION, PYTHONHOME. Enable parallel building.
    (NWCHEM_MODULES): Build with python support (pnnl).
  * debian/patches/02_makefile_flags.patch: Adjusted.
    - src/config/makefile.h: Fix linker flags building with python support.

 -- Michael Banck <mbanck@debian.org>  Mon, 08 Jul 2013 03:11:26 +0200

nwchem (6.3-1) unstable; urgency=low

  * New upstream release.
  * Fixes anisotropic properties (Closes: #696361).
  * New features include:
    + Multi-reference coupled cluster (MRCC) approaches
    + Hybrid DFT calculations with short-range HF 
    + New density-functionals including Minnesota (M08, M11) and HSE hybrid
      functionals
    + X-ray absorption spectroscopy (XAS) with TDDFT
    + Analytical gradients for the COSMO solvation model
    + Transition densities from TDDFT 
    + DFT+U and Electron-Transfer (ET) methods for plane wave calculations
    + Exploitation of space group symmetry in plane wave geometry optimizations
    + Local density of states (LDOS) collective variable added to Metadynamics
    + Various new XC functionals added for plane wave calculations, including
      hybrid and range-corrected ones
    + Electric field gradients with relativistic corrections 
    + Nudged Elastic Band optimization method
    + Updated basis sets and ECPs 

  [ Daniel Leidert ]
  * debian/watch: Fixed.

  [ Andreas Tille ]
  * debian/upstream: References

  [ Michael Banck ]
  * debian/upstream (Name): New field.
  * debian/patches/02_makefile_flags.patch: Refreshed.
  * debian/patches/06_statfs_kfreebsd.patch: Likewise.
  * debian/patches/07_ga_target_force_linux.patch: Likewise.
  * debian/patches/05_avoid_inline_assembler.patch: Removed, no longer needed.
  * debian/patches/09_backported_6.1.1_fixes.patch: Likewise.
  * debian/control (Build-Depends): Added gfortran-4.7 and gcc-4.7.
  * debian/patches/10_force_gcc-4.7.patch: New patch, explicitly sets
    gfortran-4.7 and gcc-4.7, fixes test suite hang with gcc-4.8 (Closes:
    #701328, #713262).
  * debian/testsuite: Added tests for COSMO analytical gradients and MRCC.
  * debian/rules (MRCC_METHODS): New variable, required to enable MRCC methods.

 -- Michael Banck <mbanck@debian.org>  Thu, 04 Jul 2013 12:14:55 +0200
