=== debian/control ===
--- 
+++ 
@@ -4,14 +4,18 @@
 Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
 Build-Depends: csh,
-               openssh-client,
                debhelper (>= 7.0.50~),
-               gfortran,
+               gfortran-4.7,
+               gcc-4.7,  
                libblacs-mpi-dev,
                mpi-default-bin,
                mpi-default-dev,
-               texlive-latex-recommended
-Standards-Version: 3.9.2
+               openssh-client,
+               python-dev,
+               texlive,
+               zlib1g-dev
+Standards-Version: 3.9.3
+X-Python-Version: current
 Homepage: http://www.nwchem-sw.org
 Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/nwchem/
 Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/nwchem/
@@ -23,7 +27,7 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Description: High-performance computational chemistry software
- NWCHem is a computational chemistry program package.  It provides methods
+ NWChem is a computational chemistry program package.  It provides methods
  which are scalable both in their ability to treat large scientific
  computational chemistry problems efficiently, and in their use of available
  parallel computing resources from high-performance parallel supercomputers to
@@ -52,21 +56,24 @@
      reference
    - Complete active space SCF (CASSCF)
   * Molecular electronic structure methods, single-point energies:
-   - MP2 with resolution of the identity integral approximation (RI-MP2), using 
+   - MP2 with resolution of the identity integral approximation (RI-MP2), using
      RHF and UHF reference
    - Coupled cluster singles and doubles, triples or pertubative triples (CCSD,
      CCSDT, CCSD(T)), with RHF and UHF reference
    - Configuration interaction (CISD, CISDT, and CISDTQ)
    - Second-order approximate coupled-cluster singles doubles (CC2)
+   - State-specific multireference coupled cluster methods (MRCC) (Brillouin-Wigner
+     (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
   * Further molecular electronic structure features:
    - Geometry optimization including transition state searches, constraints
-     and minimum energy paths
+     and minimum energy paths (via the Nudged Elastic Band (NEB) and Zero
+     Temperature String methods)
    - Vibrational frequencies
-   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2, 
+   - Equation-of-motion (EOM)-CCSD, EOM-CCSDT, EOM-CCSD(T), CC2,
      Configuration-Interaction singles (CIS), time-dependent HF (TDHF) and
      TDDFT, for excited states with RHF, UHF, RDFT, or UDFT reference
    - Solvatisation using the Conductor-like screening model (COSMO) for RHF,
-     ROHF and DFT
+     ROHF and DFT, including analytical gradients
    - Hybrid calculations using the two- and three-layer ONIOM method
    - Relativistic effects via spin-free and spin-orbit one-electron
      Douglas-Kroll and zeroth-order regular approximations (ZORA) and
@@ -85,13 +92,13 @@
      pseudopotentials with semicore corrections
    - Wavefunction, density, electrostatic and Wannier plotting
    - Band structure and density of states generation
-  * Car-Parrinello ab-initio molecular dynamics:
+  * Car-Parrinello ab-initio molecular dynamics (CPMD):
    - Constant energy and constant temperature dynamics
    - Verlet algorithm for integration
    - Geometry constraints in cartesian coordinates
-  * Classical molecular dynamics:
+  * Classical molecular dynamics (MD):
    - Single configuration energy evaluation
-   - Energy minimization 
+   - Energy minimization
    - Molecular dynamics simulation
    - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
      multiconfiguration thermodynamic integration (MCTI) methods with options of
@@ -110,7 +117,7 @@
 Architecture: all
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: High-performance computational chemistry software (data files)
- NWCHem is a computational chemistry program package.  It provides methods
+ NWChem is a computational chemistry program package.  It provides methods
  which are scalable both in their ability to treat large scientific
  computational chemistry problems efficiently, and in their use of available
  parallel computing resources from high-performance parallel supercomputers to
