=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 #export USE_SCALAPACK="yes"
 endif
 export NWCHEM_TOP=${CURDIR}
-export NWCHEM_MODULES=all
+export NWCHEM_MODULES="pnnl"
+export PYTHONVERSION=$(shell pyversions -dv)
+export PYTHONHOME=$(shell python-config --prefix)
 export LIBDIR=${NWCHEM_TOP}/lib/${NWCHEM_TARGET}
 export LARGE_FILES=TRUE
 export FC=gfortran
@@ -33,6 +35,7 @@
 ifneq (,$(filter ccsdtq,$(DEB_BUILD_OPTIONS)))
 export CCSDTQ="yes"
 endif
+export MRCC_METHODS=y
 export HAS_BLAS="yes"
 export BLASOPT=-lblas -llapack
 #export SCALAPACK=-lscalapack-$(ARCH_DEFAULT_MPI_IMPL)
@@ -40,13 +43,12 @@
 export ARMCI_NETWORK=SOCKETS
 
 %:
-	dh $@ 
+	dh $@ --parallel
 
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
 	(cd $(CURDIR)/doc && make pdf)
 	(cd $(CURDIR)/src && NWCHEM_TOP=$(CURDIR) make nwchem_config)
-	(cd $(CURDIR)/src/util && make version)
 	(cd $(CURDIR)/src && make)
 	(cd $(CURDIR)/src/util && make)
 	(cd $(CURDIR)/src && make link)
