=== debian/watch ===
version=3
opts=filenamemangle=s/.*(Nwchem-[\d.]+.*?\.tar\.gz)/$1/g \
http://www.nwchem-sw.org/index.php/Download .*Nwchem-([\d.]+).*?\.tar\.gz
