## nwchem 6.3+r1

=== contrib/mov2asc/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # Makefile for movecs <--> ASCII translators
-# $Id: Makefile 21752 2012-01-11 22:23:19Z d3y133 $
+# $Id: Makefile 23136 2012-11-21 18:50:12Z d3y133 $
 
 # Tested on KSR, Cray-T3D
 # Requires NWCHEM_TARGET to be set.
@@ -41,9 +41,16 @@
 endif
 LDFLAGS = -L../../src/tools/install/lib -lga -larmci	# Needs MA library
 ifeq ($(USE_MPI),y)
-LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
-LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB} ${LIBMPI} ${IB_LIB})
+  LDFLAGS += -L../../lib/${NWCHEM_TARGET} -lnwcutil
+  ifneq ($(MPI_LIB),)
+    LDFLAGS += $(patsubst -L-L%,-L%,-L${MPI_LIB})
+  endif
+  ifneq ($(LIBMPI),)
+    LDFLAGS += ${LIBMPI}
+  endif
 endif
+COMM_LIBS=  $(shell grep ARMCI_NETWORK_LIBS\ = ${NWCHEM_TOP}/src/tools/build/Makefile | cut -b 22-)
+LDFLAGS += $(COMM_LIBS)
 
 all:    mov2asc asc2mov
