=== debian/changelog ===
nwchem (6.3+r1-1build1) trusty; urgency=medium

  * No change rebuild against libopenmpi 1.6.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 22 Dec 2013 03:27:27 +0000

nwchem (6.3+r1-1) unstable; urgency=low

  * New upstream release.

  [ Daniel Leidert ]
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed vcs-field-not-canonical.
    (Build-Depends): Added autotools-dev. Added version for python dependency
    for dh_python2 addon.
    (Standards-Version): Bumped to 3.9.4.
    (Description): Fixed extended-description-line-too-long.
  * debian/rules: Run dh with autotools_dev and python2 addons.
  * debian/watch: Updated to catch revision releases.

 -- Debichem Team <debichem-devel@lists.alioth.debian.org>  Sun, 04 Aug 2013 11:20:49 +0200
