=== debian/control ===
--- 
+++ 
@@ -1,24 +1,26 @@
 Source: nwchem
 Section: science
 Priority: extra
-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debichem Team <debichem-devel@lists.alioth.debian.org>
 Uploaders: Michael Banck <mbanck@debian.org>
-Build-Depends: csh,
+Build-Depends: autotools-dev (>> 20100122.1),
+               csh,
                debhelper (>= 7.0.50~),
+               gcc-4.7,
                gfortran-4.7,
-               gcc-4.7,  
                libblacs-mpi-dev,
                mpi-default-bin,
                mpi-default-dev,
                openssh-client,
-               python-dev,
+               python-dev (>= 2.6.6-3~),
                texlive,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 X-Python-Version: current
 Homepage: http://www.nwchem-sw.org
-Vcs-Browser: http://svn.debian.org/wsvn/debichem/unstable/nwchem/
-Vcs-Svn: svn://svn.debian.org/svn/debichem/unstable/nwchem/
+Vcs-Browser: http://anonscm.debian.org/viewvc/debichem/unstable/nwchem/
+Vcs-Svn: svn://anonscm.debian.org/debichem/unstable/nwchem/
 
 Package: nwchem
 Architecture: any
@@ -56,14 +58,14 @@
      reference
    - Complete active space SCF (CASSCF)
   * Molecular electronic structure methods, single-point energies:
-   - MP2 with resolution of the identity integral approximation (RI-MP2), using
-     RHF and UHF reference
-   - Coupled cluster singles and doubles, triples or pertubative triples (CCSD,
-     CCSDT, CCSD(T)), with RHF and UHF reference
+   - MP2 with resolution of the identity integral approximation (RI-MP2),
+     using RHF and UHF reference
+   - Coupled cluster singles and doubles, triples or pertubative triples
+     (CCSD, CCSDT, CCSD(T)), with RHF and UHF reference
    - Configuration interaction (CISD, CISDT, and CISDTQ)
    - Second-order approximate coupled-cluster singles doubles (CC2)
-   - State-specific multireference coupled cluster methods (MRCC) (Brillouin-Wigner
-     (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
+   - State-specific multireference coupled cluster methods (MRCC)
+     (Brillouin-Wigner (BW-MRCC) and Mukherjee (Mk-MRCC) approaches)
   * Further molecular electronic structure features:
    - Geometry optimization including transition state searches, constraints
      and minimum energy paths (via the Nudged Elastic Band (NEB) and Zero
@@ -101,8 +103,8 @@
    - Energy minimization
    - Molecular dynamics simulation
    - Free energy simulation (multistep thermodynamic perturbation (MSTP) or
-     multiconfiguration thermodynamic integration (MCTI) methods with options of
-     single and/or dual topologies, double wide sampling, and separation-
+     multiconfiguration thermodynamic integration (MCTI) methods with options
+     of single and/or dual topologies, double wide sampling, and separation-
      shifted scaling)
    - Force fields providing effective pair potentials, first order
      polarization, self consistent polarization, smooth particle mesh Ewald
