=== debian/rules ===
--- 
+++ 
@@ -43,7 +43,7 @@
 export ARMCI_NETWORK=SOCKETS
 
 %:
-	dh $@ --parallel
+	dh $@ --with autotools_dev,python2 --parallel
 
 override_dh_auto_build:
 	mkdir -p $(CURDIR)/bin/${NWCHEM_TARGET}
